"use strict";

const Promise = require("bluebird");

module.exports = function asyncpipe(value, pipeline) {
	return Promise.reduce(pipeline, (lastValue, func) => {
		return func(lastValue);
	}, value);
};
