import { SameLine as _ } from "../../peg-whitespace"
import { RestOfLine } from "../../peg-rest-of-line"

{
	const syncpipe = require("syncpipe");
	const fromNamedEntries = require("../../from-named-entries");

	const mapVersionLabel = require("../map-version-label");
}

Output
	= entries:VersionLine+ {
		return fromNamedEntries(entries);
	}

VersionLine
	= _ label:$[A-Za-z ]+ ":" _ version:RestOfLine {
		return {
			key: mapVersionLabel(label),
			value: version.trim()
		};
	}
