"use strict";

const integerRegex = /^-?[0-9]+(?:e[0-9]+)?$/;

// TODO: Other bases than 10
module.exports = function parseIntStrict(number) {
	if (typeof number === "number" && Number.isInteger(number)) {
		return number;
	} else if (typeof number === "string" && integerRegex.test(number)) {
		return parseInt(number);
	} else {
		throw new TypeError(`Input is not an integer or integer string`);
	}
};
