"use strict";

const React = require("react");
const gql = require("../../../packages/graphql-interface/tag");

const Layout = require("../layout");

module.exports = {
	query: gql`
		query {
			resources {
				storagePools {
					id
					type
					name
					path
					isLocal
				}
			}
		}
	`,
	template: function StorageDeviceList({data}) {
		return (
			<Layout title="Storage Pools">
				Storage pools go here
			</Layout>
		);
	}
};
