'use strict';

const postgresqlSocketUrl = require("postgresql-socket-url");
const config = require("./config.json");

module.exports = {
	client: "pg",
	connection: {
		connectionString: postgresqlSocketUrl({
			socketPath: "/run/postgresql",
			database: config.database
		})
	},
	pool: {
		min: 2,
		max: 10
	}
};
