"use strict";

const errorChain = require("error-chain");

module.exports = {
	InvalidPath: errorChain.create("InvalidPath"),
	InvalidName: errorChain.create("InvalidName"),
	PartitionExists: errorChain.create("PartitionExists"),
	VolumeGroupExists: errorChain.create("VolumeGroupExists"),
	InvalidVolumeGroup: errorChain.create("InvalidVolumeGroup"),
	PhysicalVolumeInUse: errorChain.create("PhysicalVolumeInUse"),
	DeviceInUse: errorChain.create("PhysicalVolumeInUse"),
	IncompatibleDevice: errorChain.create("IncompatibleDevice"),
	DeviceTooSmall: errorChain.create("DeviceTooSmall"),
};
