"use strict";

module.exports = {
	getVersions: require("./commands/version"),
	getPhysicalVolumes: require("./commands/get-physical-volumes"),
	getVolumeGroups: require("./commands/get-volume-groups"),
	getLogicalVolumes: require("./commands/get-logical-volumes"),
	createPhysicalVolume: require("./commands/create-physical-volume"),
	destroyPhysicalVolume: require("./commands/destroy-physical-volume"),
	createVolumeGroup: require("./commands/create-volume-group"),
	addVolumeToVolumeGroup: require("./commands/add-volume-to-volume-group")
};

// TODO: Need to check if cache service running?
// TODO: Wrap errors in commands in the appropriate chained error types, beyond a generic CommandExecutionFailed from exec-binary?
