"use strict";

const createJSONParser = require("../../text-parser-json");

module.exports = function asJson(resultMapper) {
	return function (command) {
		return command
			.requireOnStdout(createJSONParser(resultMapper))
			.withFlags({
				reportformat: "json",
				units: "h" // Prevent < rounding indicator in output
			});
	};
};
