"use strict";

// Like Object.fromEntries, but for {key,value} instead of [key,value]

module.exports = function fromNamedEntries(namedEntries) {
	return Object.fromEntries(namedEntries.map((entry) => {
		let { key, value } = entry;
		return [ key, value ];
	}));
};
