'use strict';

let router = require("express-promise-router")();

router.get("/", (req, res) => {
	res.render("index");
});

router.get("/hardware/storage-devices", (req, res) => {
	res.render("hardware/storage-devices/list");
});

router.get("/hardware/lvm", (req, res) => {
	res.render("hardware/lvm/list");
});

router.get("/resource-pools/storage", (req, res) => {
	res.render("resource-pools/storage/list");
});

router.get("/instances", (req, res) => {
	res.render("instances/list");
});

module.exports = router;
