"use strict";

require("@babel/register");
const Promise = require("bluebird");
const execLvm = require("../src/packages/exec-lvm");
const errorChain = require("error-chain");

return Promise.try(() => {
	// return execLvm.getVolumeGroups();
	return execLvm.getLogicalVolumes();
}).then((result) => {
	console.dir(result, { depth: null });
}).catch((error) => {
	console.error(errorChain.render(error));
});
