"use strict";

require("@babel/register");
const Promise = require("bluebird");
const createLoaders = require("../src/api/loaders");
const All = require("../src/packages/graphql-interface/symbols/all");

let loaders = createLoaders();

return Promise.try(() => {
	return loaders.lvmPhysicalVolumes.load(All);
}).then((result) => {
	console.dir(result, { depth: null });
});
